## python-pyramid 1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build/*

html: _themes
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

text:
	mkdir -p _build/text _build/doctrees
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) _build/text
	@echo
	@echo "Build finished. The HTML pages are in _build/text."

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web _build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp: _themes
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	cp _static/*.png _build/latex
	./convert_images.sh
	cp _static/latex-warning.png _build/latex
	cp _static/latex-note.png _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) _build/epub
	@echo
	@echo "Build finished. The epub file is in _build/epub."

_themes:
	git clone git://github.com/Pylons/pylons_sphinx_theme.git _themes

=== debian/changelog ===
python-pyramid (1.0-2) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:51 +0200

python-pyramid (1.0-1) unstable; urgency=low

  * New upstream release
  * switch to dh_python2. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 23 Mar 2011 21:32:39 +0900

python-pyramid (1.0~b3-1) UNRELEASED; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 30 Jan 2011 22:58:18 +0900

python-pyramid (1.0~b2-2) UNRELEASED; urgency=low

  * debian/watch: update uversionmangle to handle alpha and rc versions
  * remove PKG-INFO and requires.txt files via debian/clean and thus drop
    debian-changes-1.0~b2-1
  * add "python (>= 2.6) | python-simplejson" to Depends, ipython to Suggests

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 26 Jan 2011 13:49:07 +0100

python-pyramid (1.0~b2-1) unstable; urgency=low

  * Initial release (Closes: #604995)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 26 Jan 2011 19:26:11 +0900

=== debian/control ===
Source: python-pyramid
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-setuptools, 
	python-all (>= 2.6.6-3)
Standards-Version: 3.9.1
Homepage: http://docs.pylonshq.com/
#Vcs-Git: git://git.debian.org/collab-maint/python-pyramid.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pyramid.git;a=summary

Package: python-pyramid
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
    python (>= 2.6) | python-simplejson,
    python-chameleon (>= 1.2.3),
    python-mako,
    python-paste (>= 1.7), 
    python-pastedeploy,
    python-pastescript,
    python-webob (>= 1.0),
    python-repoze.lru,
    python-setuptools,
    python-zope.component (>= 3.6.0),
    python-zope.configuration,
    python-zope.deprecation,
    python-zope.interface (>= 3.5.1),
    python-venusian (>= 0.2),
    python-translationstring,
Suggests: ipython
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Description: The Pyramid web application framework, a Pylons project
 Pyramid is a small, fast, down-to-earth, open source Python web development
 framework. It makes real-world web application development and deployment
 more fun, more predictable, and more productive.
 .
 Pyramid is a Pylons project, and underlies the newest web frameworks
 produced by the Pylons community.
 .
 Pyramid was previously known as repoze.bfg.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

override_dh_fixperms:
	dh_fixperms
	chmod -x \
		$(CURDIR)/debian/python-pyramid/usr/share/pyshared/pyramid/paster_templates/alchemy/+package+/models.py \
		$(CURDIR)/debian/python-pyramid/usr/share/pyshared/pyramid/paster_templates/alchemy/+package+/__init__.py_tmpl

=== debian/watch ===
version=3
opts="uversionmangle=s/(rc|a|b|c)/~$1/" \
  http://pypi.python.org/packages/source/p/pyramid/pyramid-(.+)\.tar\.gz

## python-pyramid 1.2.1+dfsg

=== debian/changelog ===
python-pyramid (1.2.1+dfsg-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 10 Nov 2011 23:35:43 +0100

python-pyramid (1.2.1+dfsg-2) unstable; urgency=low

  * Oops, Depends on python-venusian >= 1.0a1.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 02 Oct 2011 20:44:39 +0900

python-pyramid (1.2.1+dfsg-1) unstable; urgency=low

  * New upstream release
  * Depends on python-venusian >= 1.0a. (Closes: #643915)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 02 Oct 2011 20:14:51 +0900

python-pyramid (1.2+dfsg-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * New upstream release. (Closes: #636469)
  * Remove docs due to under non-DFSG license. (Closes: #640066, #640780)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 20 Sep 2011 11:13:14 +0900

python-pyramid (1.1.2-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 29 Aug 2011 13:24:27 +0200

python-pyramid (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 19 Aug 2011 13:46:16 +0900

python-pyramid (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Remove duplicated changelogs.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 15 Aug 2011 22:58:48 +0900

python-pyramid (1.1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 17 Aug 2011 09:56:34 +0200

python-pyramid (1.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 02 Aug 2011 23:32:59 +0900

=== debian/control ===
Source: python-pyramid
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-setuptools, 
	python-all (>= 2.6.6-3)
Standards-Version: 3.9.2
Homepage: http://docs.pylonshq.com/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pyramid/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pyramid/trunk/

Package: python-pyramid
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
    python (>= 2.6) | python-simplejson,
    python-chameleon (>= 1.2.3),
    python-mako (>= 0.3.6),
    python-paste (>= 1.7), 
    python-pastedeploy,
    python-pastescript,
    python-webob (>= 1.0.2),
    python-repoze.lru,
    python-setuptools,
    python-zope.component (>= 3.6.0),
    python-zope.configuration,
    python-zope.deprecation,
    python-zope.interface (>= 3.5.1),
    python-venusian (>= 1.0a1),
    python-translationstring,
Suggests: ipython
Provides: ${python:Provides}
Description: Pyramid web application framework, a Pylons project
 Pyramid is a small, fast, down-to-earth, open source Python web development
 framework. It makes real-world web application development and deployment
 more fun, more predictable, and more productive.
 .
 Pyramid is a Pylons project, and underlies the newest web frameworks
 produced by the Pylons community.
 .
 Pyramid was previously known as repoze.bfg.

## python-pyramid 1.2.3+dfsg

=== debian/changelog ===
python-pyramid (1.2.3+dfsg-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Make dependency on python-pastescript versioned (>= 1.7.4).

  [ TANIGUCHI Takaki ]
  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 01 Dec 2011 10:39:14 +0900

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
     python-mako (>= 0.3.6),
     python-paste (>= 1.7), 
     python-pastedeploy,
-    python-pastescript,
+    python-pastescript (>= 1.7.4),
     python-webob (>= 1.0.2),
     python-repoze.lru,
     python-setuptools,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

override_dh_fixperms:
	dh_fixperms
	chmod -x \
		$(CURDIR)/debian/python-pyramid/usr/share/pyshared/pyramid/scaffolds/alchemy/+package+/__init__.py_tmpl \
		$(CURDIR)/debian/python-pyramid/usr/share/pyshared/pyramid/scaffolds/alchemy/+package+/models.py

## python-pyramid 1.4.2+dfsg

=== debian/changelog ===
python-pyramid (1.4.2+dfsg-1) unstable; urgency=low

  [ TANIGUCHI Takaki ]
  * New upstream release
  * Bump Standards-Version to 3.9.4.
    + debian/copyright: Update copyright-format 1.0. 
  * debian/source/options: Ignore egg-file changes. (Closes: #671195)
  * New upstream release

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 17 Jun 2013 21:14:50 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

override_dh_fixperms:
	dh_fixperms
	chmod -x \
		$(CURDIR)/debian/python-pyramid/usr/share/pyshared/pyramid/scaffolds/alchemy/+package+/models.py
#		$(CURDIR)/debian/python-pyramid/usr/share/pyshared/pyramid/scaffolds/alchemy/+package+/__init__.py_tmpl \

# zcat pyramid-1.3a1.tar.gz | tar --wildcards  --delete  '*/docs' | gzip > a.tgz

## python-pyramid 1.4.5%2Bdfsg

=== debian/changelog ===
python-pyramid (1.4.5+dfsg-1ubuntu1) trusty; urgency=medium

  * Fix build failure with /usr/share/pyshared removed.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2014 15:57:29 +0100

python-pyramid (1.4.5+dfsg-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 06 Sep 2013 11:23:08 +0900

## python-pyramid 1.4.5+dfsg

=== debian/control ===
Source: python-pyramid
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-setuptools, 
	python-all (>= 2.6.6-3)
Standards-Version: 3.9.4
Homepage: http://docs.pylonshq.com/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pyramid/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pyramid/trunk/

Package: python-pyramid
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
    python (>= 2.6) | python-simplejson,
    python-setuptools,
    python-chameleon (>= 1.2.3),
    python-mako (>= 0.3.6),
    python-webob (>= 1.2~b3),
    python-repoze.lru (>= 0.4),
    python-zope.interface (>= 3.8.0),
    python-zope.deprecation (>= 3.5.0),
    python-venusian (>= 1.0a3),
    python-translationstring (>= 0.4),
    python-pastedeploy (>= 1.5.0),
    python-webtest (>= 1.3.1),
    python-zope.component (>= 3.11.0),
Suggests: ipython
Provides: ${python:Provides}
Description: Pyramid web application framework, a Pylons project
 Pyramid is a small, fast, down-to-earth, open source Python web development
 framework. It makes real-world web application development and deployment
 more fun, more predictable, and more productive.
 .
 Pyramid is a Pylons project, and underlies the newest web frameworks
 produced by the Pylons community.
 .
 Pyramid was previously known as repoze.bfg.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

override_dh_fixperms:
	dh_fixperms
	chmod -x \
		$(CURDIR)/debian/python-pyramid/usr/lib/python2.*/*-packages/pyramid/scaffolds/alchemy/+package+/models.py
#		$(CURDIR)/debian/python-pyramid/usr/lib/python2.*/*-packages/pyramid/scaffolds/alchemy/+package+/__init__.py_tmpl \

# zcat pyramid-1.3a1.tar.gz | tar --wildcards  --delete  '*/docs' | gzip > a.tgz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,uversionmangle=s/(rc|a|b|c)/~$1/ \
  http://pypi.python.org/packages/source/p/pyramid/pyramid-(.+)\.tar\.gz

## python-pyramid 1.5.1+dfsg

=== debian/changelog ===
python-pyramid (1.5.1+dfsg-2) unstable; urgency=medium

  * debian/copyright: Add Ian Bicking's infomation. (Closes: #753393)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 09 Jul 2014 18:24:56 +0900

python-pyramid (1.5.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.  (Closes: #751067)
  * d/rules:
    - Remove comment for repacking orig.tar.gz.
    - Switch to --buildsystem=pybuild and add dh_python3.
    - override_dh_auto_install: Append '3' to /usr/bin scripts in the
      python3-pyramid binary package.
    - override_dh_installman: Use help2man to create manpages for all the
      /usr/bin scripts.
    - Remove obsolete chmods.  (Closes: #750284)
  * d/control:
    - Added python3-pyramid binary package.
    - Updated Build-Depends.
    - Bumped Standards-Version to 3.9.5 with no other changes necessary.
  * d/README.source: include information on how the non-free docs/
    directory gets removed from the orig tarball.
  * d/copyright: Add Files-Excluded header to properly and automatically
    prune non-free docs directory.
  * d/watch: Add filenamemangle rule so that a proper +dfsg.orig.tar.gz
    file will be generated, keeping svn-buildpackage happy.
  * d/pydist-overrides: Fix requirement satisfaction for WebOb and WebTest.
  * d/patches/tweak-requirements.patch: Added to disable attempts to
    install test requirements from PyPI at build time.

 -- Barry Warsaw <barry@debian.org>  Fri, 27 Jun 2014 15:14:50 -0400

=== debian/control ===
Source: python-pyramid
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               help2man,
               python-all (>= 2.6.6-3),
               python-pastedeploy,
               python-repoze.lru,
               python-setuptools,
               python-translationstring,
               python-venusian,
               python-webob,
               python-webtest,
               python-zope.component,
               python-zope.deprecation,
               python-zope.interface,
               python3-all,
               python3-pastedeploy,
               python3-repoze.lru,
               python3-setuptools,
               python3-translationstring,
               python3-venusian,
               python3-webob,
               python3-webtest,
               python3-zope.component,
               python3-zope.deprecation,
               python3-zope.interface
Standards-Version: 3.9.5
Homepage: http://docs.pylonshq.com/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pyramid/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pyramid/trunk/

Package: python-pyramid
Architecture: all
Depends: python (>= 2.6) | python-simplejson,
         python-chameleon (>= 1.2.3),
         python-mako (>= 0.3.6),
         python-pastedeploy (>= 1.5.0),
         python-repoze.lru (>= 0.4),
         python-setuptools,
         python-translationstring (>= 0.4),
         python-venusian (>= 1.0a3),
         python-webob (>= 1.2~b3),
         python-webtest (>= 1.3.1),
         python-zope.component (>= 3.11.0),
         python-zope.deprecation (>= 3.5.0),
         python-zope.interface (>= 3.8.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: ipython
Provides: ${python:Provides}
Description: Pyramid web application framework, a Pylons project
 Pyramid is a small, fast, down-to-earth, open source Python web development
 framework. It makes real-world web application development and deployment
 more fun, more predictable, and more productive.
 .
 Pyramid is a Pylons project, and underlies the newest web frameworks
 produced by the Pylons community.
 .
 Pyramid was previously known as repoze.bfg.
 .
 This is the Python 2 version.

Package: python3-pyramid
Architecture: all
Depends: python3,
         python3-chameleon,
         python3-mako,
         python3-pastedeploy,
         python3-repoze.lru,
         python3-setuptools,
         python3-translationstring,
         python3-venusian,
         python3-webob,
         python3-webtest,
         python3-zope.component,
         python3-zope.deprecation,
         python3-zope.interface,
         ${misc:Depends},
         ${python3:Depends}
Suggests: ipython
Provides: ${python3:Provides}
Description: Pyramid web application framework, a Pylons project
 Pyramid is a small, fast, down-to-earth, open source Python web development
 framework. It makes real-world web application development and deployment
 more fun, more predictable, and more productive.
 .
 Pyramid is a Pylons project, and underlies the newest web frameworks
 produced by the Pylons community.
 .
 Pyramid was previously known as repoze.bfg.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pyramid
export pkgversion=$(shell dpkg-parsechangelog --show-field version)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_auto_install:
	dh_auto_install
	cd $(CURDIR)/debian/python3-pyramid/usr/bin; \
	for file in * ; do \
	    mv $${file} $${file}3; \
	done


override_dh_installman:
	mkdir -p $(CURDIR)/debian/manpages
	cd $(CURDIR)/debian/python-pyramid/usr/bin; \
	export PYTHONPATH=$(CURDIR); \
	set -x; \
	for file in *; do \
	    help2man --version-string=$${pkgversion} \
		     --no-info --section=1 \
		     --name="Python 2 Pyramid command" \
		     --output=$(CURDIR)/debian/manpages/$${file}.man \
		     ./$${file}; \
	done
	mkdir -p $(CURDIR)/debian/manpages3
	cd $(CURDIR)/debian/python3-pyramid/usr/bin; \
	export PYTHONPATH=$(CURDIR); \
	set -x; \
	for file in *; do \
	    help2man --version-string=$${pkgversion} \
		     --no-info --section=1 \
		     --name="Python 3 Pyramid command" \
		     --output=$(CURDIR)/debian/manpages3/$${file}.man \
		     ./$${file}; \
	done
	dh_installman


override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/debian/manpages
	rm -rf $(CURDIR)/debian/manpages3

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/pyramid-(.*).tar.gz/python-pyramid_$1+dfsg.orig.tar.gz/ \
  http://pypi.python.org/packages/source/p/pyramid/pyramid-(.+)\.tar\.gz

## python-pyramid 1.6+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	mkdir -p $(BUILDDIR)/html $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

text:
	mkdir -p $(BUILDDIR)/text $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/text."

pickle:
	mkdir -p $(BUILDDIR)/pickle $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web $(BUILDDIR)/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p $(BUILDDIR)/htmlhelp $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex:
	mkdir -p $(BUILDDIR)/latex $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	cp _static/*.png $(BUILDDIR)/latex
	./convert_images.sh
	cp _static/latex-warning.png $(BUILDDIR)/latex
	cp _static/latex-note.png $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make latexpdf' to build a PDF file from them."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF file is in $(BUILDDIR)/latex."

changes:
	mkdir -p $(BUILDDIR)/changes $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	mkdir -p $(BUILDDIR)/linkcheck $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

=== debian/changelog ===
python-pyramid (1.6+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for charset related test failure,
    thanks to Juhani Numminen. (Closes: #851013)

 -- Adrian Bunk <bunk@debian.org>  Mon, 15 Jan 2018 20:35:41 +0200

python-pyramid (1.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.  (Closes: #808843)
  * d/watch: Adjust filenamemangle to handle PyPI url format.
  * d/patches: Updated via git-dpm.
  * d/python{,3}-pyramid.lintian-overrides: Ignore the warnings caused by
    test data files in importable locations.
  * d/rules: Ensure the installed pdfs aren't executable.

 -- Barry Warsaw <barry@debian.org>  Mon, 04 Jan 2016 15:37:55 -0500

python-pyramid (1.5.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control:
    - Bump Standards-Version with no other changes necessary.
    - Update Homepage, given by Hans Joachim Desserud. (Closes: #784074)
  * d/patches/getargspec-is-deprecated.patch: Added to workaround test
    failures due to the deprecation of inspect.getargspec() in Python 3.5.
    (Closes: #800725)
  * d/watch: Use the pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Fri, 30 Oct 2015 11:29:55 -0400

=== debian/control ===
--- 
+++ 
@@ -28,10 +28,10 @@
                python3-zope.component,
                python3-zope.deprecation,
                python3-zope.interface
-Standards-Version: 3.9.5
-Homepage: http://docs.pylonshq.com/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pyramid/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pyramid/trunk/
+Standards-Version: 3.9.6
+Homepage: http://www.pylonsproject.org/projects/pyramid/about
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pyramid.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pyramid.git
 
 Package: python-pyramid
 Architecture: all

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,\
uversionmangle=s/(rc|a|b|c)/~$1/,\
filenamemangle=s|pyramid/pyramid-(.*).tar.gz|python-pyramid_$1+dfsg.orig.tar.gz| \
https://pypi.debian.net/pyramid/pyramid-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pyramid 1.9.1+dfsg

=== debian/changelog ===
python-pyramid (1.9.1+dfsg-1) unstable; urgency=medium

  [ TANIGUCHI Takaki ]
  * New upstream version 1.9.1+dfsg (Closes: #851013).
  * remove unnecessary debian/patches
  * debian/watch: Add repacksuffix (Closes: #885702).

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces

  [ Nicolas Dandrimont ]
  * Switch to git-buildpackage branch format
  * Add new build-dependencies on plaster and plaster-pastedeploy
  * Update Standards-Version to 4.1.4 (no further changes)
  * Add autopkgtests
    - Add patch to avoid failed autopkgtests in installed directory
  * Update to debhelper compat 11

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 23 Apr 2018 15:49:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: python-pyramid
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                help2man,
                python-all (>= 2.6.6-3),
+               python-hupper,
                python-pastedeploy,
+               python-plaster,
+               python-plaster-pastedeploy,
                python-repoze.lru,
                python-setuptools,
                python-translationstring,
@@ -18,7 +21,10 @@
                python-zope.deprecation,
                python-zope.interface,
                python3-all,
+               python3-hupper,
                python3-pastedeploy,
+               python3-plaster,
+               python3-plaster-pastedeploy,
                python3-repoze.lru,
                python3-setuptools,
                python3-translationstring,
@@ -28,10 +34,10 @@
                python3-zope.component,
                python3-zope.deprecation,
                python3-zope.interface
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: http://www.pylonsproject.org/projects/pyramid/about
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pyramid.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pyramid.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyramid.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyramid
 
 Package: python-pyramid
 Architecture: all
@@ -52,7 +58,7 @@
          ${python:Depends}
 Suggests: ipython
 Provides: ${python:Provides}
-Description: Pyramid web application framework, a Pylons project
+Description: Pyramid web application framework, a Pylons project - Python 2.x version
  Pyramid is a small, fast, down-to-earth, open source Python web development
  framework. It makes real-world web application development and deployment
  more fun, more predictable, and more productive.
@@ -83,7 +89,7 @@
          ${python3:Depends}
 Suggests: ipython
 Provides: ${python3:Provides}
-Description: Pyramid web application framework, a Pylons project
+Description: Pyramid web application framework, a Pylons project - Python 3.x version
  Pyramid is a small, fast, down-to-earth, open source Python web development
  framework. It makes real-world web application development and deployment
  more fun, more predictable, and more productive.

=== debian/tests/control ===
Depends: @, python-all, python3-all
Test-Command: cd $AUTOPKGTEST_TMP; for p in $(pyversions -s) $(py3versions -s); do $p -c 'import pyramid; print(pyramid)'; done

Depends: @, python-all, python3-all, python-webtest, python3-webtest, python-zope.component, python3-zope.component
Test-Command: cd $AUTOPKGTEST_TMP; for p in $(pyversions -s) $(py3versions -s); do $p -m unittest discover -v pyramid.tests; done
Restrictions: allow-stderr

## python-pyramid 1.10.2+dfsg

=== debian/changelog ===
python-pyramid (1.10.2+dfsg-2) unstable; urgency=medium

  * d/tests/control: Remove an invalid autopkgtest command. Changed to
    not install python.tests packages. (Closes: #918631)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 28 Feb 2019 14:28:41 +0900

python-pyramid (1.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.10.2+dfsg
  * debian/compat: 12

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 27 Feb 2019 17:20:23 +0900

python-pyramid (1.10.1+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ TANIGUCHI Takaki ]
  * New upstream version 1.10.1+dfsg
  * d/patches/0001-Skip-integration-tests-if-the-fixtures-directory-is-.patch:
    Upstream merged. Remove.
  * d/patches: Fix package name conflicts in tests.
  * d/docs: Fix filename
  * d/rules: help2man use stderr.
  * Bump Stanrads-Version to 4.3.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 28 Dec 2018 17:02:16 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12),
                dh-python,
                help2man,
                python-all (>= 2.6.6-3),
@@ -34,7 +34,7 @@
                python3-zope.component,
                python3-zope.deprecation,
                python3-zope.interface
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://www.pylonsproject.org/projects/pyramid/about
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyramid.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyramid

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	for file in * ; do \
 	    mv $${file} $${file}3; \
 	done
+	find $(CURDIR)/debian -name \*.pdf -exec chmod -x {} \;
 
 
 override_dh_installman:
@@ -26,6 +27,7 @@
 		     --no-info --section=1 \
 		     --name="Python 2 Pyramid command" \
 		     --output=$(CURDIR)/debian/manpages/$${file}.man \
+		     --no-discard-stderr \
 		     ./$${file}; \
 	done
 	mkdir -p $(CURDIR)/debian/manpages3
@@ -37,6 +39,7 @@
 		     --no-info --section=1 \
 		     --name="Python 3 Pyramid command" \
 		     --output=$(CURDIR)/debian/manpages3/$${file}.man \
+		     --no-discard-stderr \
 		     ./$${file}; \
 	done
 	dh_installman

=== debian/tests/control ===
Depends: @, python-all, python3-all
Test-Command: cd $AUTOPKGTEST_TMP; for p in $(pyversions -s) $(py3versions -s); do $p -c 'import pyramid; print(pyramid)'; done

#Depends: @, python-all, python3-all, python-webtest, python3-webtest, python-zope.component, python3-zope.component
#Test-Command: cd $AUTOPKGTEST_TMP; for p in $(pyversions -s) $(py3versions -s); do $p -m unittest discover -v pyramid.tests; done
#Restrictions: allow-stderr

## python-pyramid 1.10.4%2Bdfsg

=== debian/changelog ===
python-pyramid (1.10.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.10.4+dfsg
  * Add salsa-ci.yml
  * Bump Standards-Version to 4.4.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 17 Oct 2019 17:08:39 +0900

python-pyramid (1.10.2+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support (Closes: #938089).

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 25 Sep 2019 11:57:12 +0500

=== debian/control ===
Source: python-pyramid
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               help2man,
               python3-all,
               python3-hupper,
               python3-pastedeploy,
               python3-plaster,
               python3-plaster-pastedeploy,
               python3-repoze.lru,
               python3-setuptools,
               python3-translationstring,
               python3-venusian,
               python3-webob,
               python3-webtest,
               python3-zope.component,
               python3-zope.deprecation,
               python3-zope.interface
Standards-Version: 4.4.1
Homepage: http://www.pylonsproject.org/projects/pyramid/about
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyramid.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyramid

Package: python3-pyramid
Architecture: all
Depends: python3,
         python3-chameleon,
         python3-mako,
         python3-pastedeploy,
         python3-repoze.lru,
         python3-setuptools,
         python3-translationstring,
         python3-venusian,
         python3-webob,
         python3-webtest,
         python3-zope.component,
         python3-zope.deprecation,
         python3-zope.interface,
         ${misc:Depends},
         ${python3:Depends}
Suggests: ipython
Provides: ${python3:Provides}
Description: Pyramid web application framework, a Pylons project - Python 3.x version
 Pyramid is a small, fast, down-to-earth, open source Python web development
 framework. It makes real-world web application development and deployment
 more fun, more predictable, and more productive.
 .
 Pyramid is a Pylons project, and underlies the newest web frameworks
 produced by the Pylons community.
 .
 Pyramid was previously known as repoze.bfg.
 .
 This is the Python 3 version.

## python-pyramid 1.10.4+dfsg

=== debian/changelog ===
python-pyramid (1.10.4+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ TANIGUCHI Takaki ]
  * d/control: Update Homepage URL
  * d/control: clean up Depends.
  * Bump Standards-Version to 4.5.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 07 Nov 2020 17:00:11 +0900

=== debian/control ===
Source: python-pyramid
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               help2man,
               python3-all,
               python3-hupper,
               python3-pastedeploy,
               python3-plaster,
               python3-plaster-pastedeploy,
               python3-repoze.lru,
               python3-setuptools,
               python3-translationstring,
               python3-venusian,
               python3-webob,
               python3-webtest,
               python3-zope.component,
               python3-zope.deprecation,
               python3-zope.interface
Standards-Version: 4.5.0
Homepage: https://trypyramid.com/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyramid.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyramid

Package: python3-pyramid
Architecture: all
Depends: python3,
         ${misc:Depends},
         ${python3:Depends}
Provides: ${python3:Provides}
Description: Pyramid web application framework, a Pylons project - Python 3.x version
 Pyramid is a small, fast, down-to-earth, open source Python web development
 framework. It makes real-world web application development and deployment
 more fun, more predictable, and more productive.
 .
 Pyramid is a Pylons project, and underlies the newest web frameworks
 produced by the Pylons community.
 .
 Pyramid was previously known as repoze.bfg.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pyramid
export pkgversion=$(shell dpkg-parsechangelog --show-field version)

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_install:
	dh_auto_install
	cd $(CURDIR)/debian/python3-pyramid/usr/bin; \
	for file in * ; do \
	    mv $${file} $${file}3; \
	done
	find $(CURDIR)/debian -name \*.pdf -exec chmod -x {} \;


override_dh_installman:
	mkdir -p $(CURDIR)/debian/manpages3
	cd $(CURDIR)/debian/python3-pyramid/usr/bin; \
	export PYTHONPATH=$(CURDIR); \
	set -x; \
	for file in *; do \
	    help2man --version-string=$${pkgversion} \
		     --no-info --section=1 \
		     --name="Python 3 Pyramid command" \
		     --output=$(CURDIR)/debian/manpages3/$${file}.man \
		     --no-discard-stderr \
		     ./$${file}; \
	done
	dh_installman


override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/debian/manpages3

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg,\
uversionmangle=s/(rc|a|b|c)/~$1/,\
filenamemangle=s|pyramid/pyramid-(.*).tar.gz|python-pyramid_$1+dfsg.orig.tar.gz| \
https://pypi.debian.net/pyramid/pyramid-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pyramid 2.0%2Bdfsg

=== debian/changelog ===
python-pyramid (2.0+dfsg-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible. (Closes: #976449)
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper compatibility level to 13.

  [ Diego M. Rodriguez ]
  * d/tests: mark 1 as superficial, reenable 2 (Closes: #974472)

  [ TANIGUCHI Takaki ]
  * d/watch: Fix file name mangle rule
  * New upstream version 2.0+dfsg
  * d/patches: Remove unneed patches
  * Remove deleted command man page
  * Remove unneed lintian-overrides.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 12 Sep 2021 15:05:46 +0900

## python-pyramid 2.0+dfsg

=== debian/changelog ===
python-pyramid (2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Patch: Add support for Python 3.11 (Closes: #1025117)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 25 Dec 2022 14:24:55 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                help2man,
                python3-all,
@@ -20,7 +20,7 @@
                python3-zope.component,
                python3-zope.deprecation,
                python3-zope.interface
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://trypyramid.com/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyramid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyramid

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 override_dh_installman:
 	mkdir -p $(CURDIR)/debian/manpages3
+	export PYTHONPATH=$(CURDIR)/debian/python3-pyramid/usr/lib/$(shell py3versions -d)/dist-packages; \
 	cd $(CURDIR)/debian/python3-pyramid/usr/bin; \
-	export PYTHONPATH=$(CURDIR); \
 	set -x; \
 	for file in *; do \
 	    help2man --version-string=$${pkgversion} \

=== debian/tests/control ===
Depends: @, python3-all
Test-Command: cd $AUTOPKGTEST_TMP; for p in $(py3versions -s); do $p -c 'import pyramid; print(pyramid)'; done
Restrictions: superficial

Depends: @, python3-all, python3-webtest, python3-zope.component, python3-pytest
Test-Command: cp -a tests "$AUTOPKGTEST_TMP"; cd $AUTOPKGTEST_TMP; for p in $(py3versions -s); do $p -m pytest -v tests; done
Restrictions: allow-stderr

## python-pyramid 2.0.2+dfsg

=== debian/changelog ===
python-pyramid (2.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - CVE-2023-40587: Removed support for null-bytes in the path when making
      a request for a file against a static_view (closes: #1050740).
  * Allow InstancePropertyHelper to accept properties with names on Python
    3.13+ (closes: #1082259).

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Dec 2024 16:53:27 +0000

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyramid/pyramid-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
